package com.pcloud.book.book.mapper;

import com.pcloud.book.book.entity.BookSwitch;

import java.util.List;

public interface BookSwitchMapper {
    int deleteByPrimaryKey(Long bookId);

    int insert(BookSwitch record);

    int insertSelective(BookSwitch record);

    BookSwitch selectByPrimaryKey(Long bookId);

    int updateByPrimaryKeySelective(BookSwitch record);

    int updateByPrimaryKey(BookSwitch record);

    List<BookSwitch> listByBookIds(List<Long> bookIds);

    void batchInsert(List<BookSwitch> bookSwitches);

    void batchInsertSelective(List<BookSwitch> bookSwitches);
}